[project]
name = "cv"
version = "0.1.0"
description = "Generate a pretty CV from a Markdown File"
readme = "README.md"
license = "MIT"
requires-python = ">=3.13"
dependencies = [
    "jinja2>=3.1.6",
    "markdown>=3.7",
    "pydantic>=2.12.5",
    "python-frontmatter>=1.1.0",
    "typer>=0.24.1",
    "weasyprint>=68.1",
]

[dependency-groups]
dev = [
    "basedpyright>=1.38.2",
    "pytest>=9.0.2",
    "ruff>=0.15.1",
]

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["main.py", "src/cv_generator"]

[tool.hatch.build.targets.wheel.sources]
"src" = ""

[project.scripts]
cv = "main:app"
